# Uses of Enum Class
javax.tools.JavaFileObject.Kind

Packages that use JavaFileObject.Kind
Package
Description
javax.tools
Provides interfaces for tools which can be invoked from a program, for example, compilers.
jdk.javadoc.doclet
The Doclet API provides an environment which, in conjunction with the Language Model API and Compiler Tree API, allows clients to inspect the source-level structures of programs and libraries, including API comments embedded in the source.

## Uses of JavaFileObject.Kind in javax.tools

Fields in javax.tools declared as JavaFileObject.Kind
Modifier and Type
Field
Description
`protected final JavaFileObject.Kind`
SimpleJavaFileObject.`kind`
The kind of this file object.
Methods in javax.tools that return JavaFileObject.Kind
Modifier and Type
Method
Description
`JavaFileObject.Kind`
ForwardingJavaFileObject.`getKind()`
`JavaFileObject.Kind`
JavaFileObject.`getKind()`
Returns the kind of this file object.
`JavaFileObject.Kind`
SimpleJavaFileObject.`getKind()`
`static JavaFileObject.Kind`
JavaFileObject.Kind.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static JavaFileObject.Kind[]`
JavaFileObject.Kind.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javax.tools with parameters of type JavaFileObject.Kind
Modifier and Type
Method
Description
`JavaFileObject`
ForwardingJavaFileManager.`getJavaFileForInput(JavaFileManager.Location location, String className, JavaFileObject.Kind kind)`
`JavaFileObject`
JavaFileManager.`getJavaFileForInput(JavaFileManager.Location location, String className, JavaFileObject.Kind kind)`
Returns a file object for input representing the specified class of the specified kind in the given package-oriented location.
`JavaFileObject`
ForwardingJavaFileManager.`getJavaFileForOutput(JavaFileManager.Location location, String className, JavaFileObject.Kind kind, FileObject sibling)`
`JavaFileObject`
JavaFileManager.`getJavaFileForOutput(JavaFileManager.Location location, String className, JavaFileObject.Kind kind, FileObject sibling)`
Returns a file object for output representing the specified class of the specified kind in the given package-oriented location.
`boolean`
ForwardingJavaFileObject.`isNameCompatible(String simpleName, JavaFileObject.Kind kind)`
`boolean`
JavaFileObject.`isNameCompatible(String simpleName, JavaFileObject.Kind kind)`
Checks if this file object is compatible with the specified simple name and kind.
`boolean`
SimpleJavaFileObject.`isNameCompatible(String simpleName, JavaFileObject.Kind kind)`
This implementation compares the path of its URI to the given simple name.
Method parameters in javax.tools with type arguments of type JavaFileObject.Kind
Modifier and Type
Method
Description
`Iterable<JavaFileObject>`
ForwardingJavaFileManager.`list(JavaFileManager.Location location, String packageName, Set<JavaFileObject.Kind> kinds, boolean recurse)`
`Iterable<JavaFileObject>`
JavaFileManager.`list(JavaFileManager.Location location, String packageName, Set<JavaFileObject.Kind> kinds, boolean recurse)`
Lists all file objects matching the given criteria in the given package-oriented location.
Constructors in javax.tools with parameters of type JavaFileObject.Kind
Modifier
Constructor
Description
`protected`
`SimpleJavaFileObject(URI uri, JavaFileObject.Kind kind)`
Construct a SimpleJavaFileObject of the given kind and with the given URI.

## Uses of JavaFileObject.Kind in jdk.javadoc.doclet

Methods in jdk.javadoc.doclet that return JavaFileObject.Kind
Modifier and Type
Method
Description
`JavaFileObject.Kind`
DocletEnvironment.`getFileKind(TypeElement type)`
Returns the file kind of a type element.